Loading...
Searching...
No Matches
moving_average.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
`#include <cstdint>`
Include dependency graph for moving_average.h:

Go to the source code of this file.

## Classes

class | gr::blocks::moving_average< T >
| output is the moving sum of the last N samples, scaled by the scale factor More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef moving_average< std::int16_t > | gr::blocks::moving_average_ss
typedef moving_average< std::int32_t > | gr::blocks::moving_average_ii
typedef moving_average< float > | gr::blocks::moving_average_ff
typedef moving_average< gr_complex > | gr::blocks::moving_average_cc